#pragma once
#include "node.h"
#include "node_button.h"

class NodeSettings : public Node
{
    NodeButton* btnOk;
public:
    virtual Node* clone_instantiate() const override;
    virtual void init() override;
    virtual kEventResult handle_event(Event* e) override;
};
